#
# spec file for package python-configshell-fb
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define oname configshell-fb
%define realver  1.1.fb20

Name:           python-%{oname}
Version:        1.20
Release:        2.7
Url:            http://github.com/agrover/configshell-fb
Summary:        A Python library for building configuration shells
License:        Apache-2.0
Group:          Development/Libraries/Python
Source:         %{oname}-%{realver}.tar.gz
Requires:       /usr/bin/python
Requires:       python-pyparsing
Requires:       python-six
BuildArch:      noarch
Conflicts:      python-configshell
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-pyparsing
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python-urwid
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
configshell-fb is a Python library that provides a framework for building simple
but nice CLI-based applications.

configshell-fb is a fork of the "configshell" code written by RisingTide
Systems. The "-fb" differentiates between the original and this version. Please
ensure to use either all "fb" versions of the targetcli components -- targetcli,
rtslib, and configshell, or stick with all non-fb versions, since they are
no longer strictly compatible.

%package doc
Summary:        Documentation for Python configshell-fb
Group:          Documentation/HTML
BuildArch:      noarch
BuildRequires:  epydoc

%description doc
configshell-fb is a Python library that provides a framework for building simple
but nice CLI-based applications.

configshell-fb is a fork of the "configshell" code written by RisingTide
Systems. The "-fb" differentiates between the original and this version. Please
ensure to use either all "fb" versions of the targetcli components -- targetcli,
rtslib, and configshell, or stick with all non-fb versions, since they are
no longer strictly compatible.

%prep
%setup -q -n %{oname}-%{realver}%{?extraver}

%build
%__python setup.py build
%__mkdir_p doc/
epydoc --no-sourcecode --html -n %{oname} --exclude configobj configshell/*.py
%__mv html doc/

%install
%__python setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}%{python_sitelib}
%__install -d -m755 %{buildroot}%{_defaultdocdir}/python-configshell-doc-%{version}
%__cp -r doc/* %{buildroot}%{_defaultdocdir}/python-configshell-doc-%{version}/
%fdupes %{buildroot}%{_defaultdocdir}

%files
%defattr(-,root,root)
%{python_sitelib}/*
%doc examples COPYING README.md

%files doc
%defattr(-,root,root)
%{_defaultdocdir}/python-configshell-doc-%{version}

%changelog
* Fri Jun 24 2016 lduncan@suse.com
- Updated spec file: added Conflicts for python-configshell
  (bsc#986475)
* Fri Jun 24 2016 lduncan@suse.com
- Updated SPEC file: removed "Provides"/"Obsoletes" for
  package name "python-confishell" (bsc#984935)
* Fri May  6 2016 dmueller@suse.com
- cleanup buildroot parts
* Tue Apr 19 2016 lduncan@suse.com
- Initial creation of this package, from upstream
  version 1.1.fb20
